#
# spec file for package xfishtank
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xfishtank
Version:        2.6
Release:        1.9
Summary:        An aquarium in the root window
License:        GPL-2.0-or-later
Group:          Amusements/Toys/Background
URL:            https://jim.rees.org/computers/xfishtank.html
Source:         %{name}-%{version}.tar.xz
BuildRequires:  imake
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(imlib2)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xproto)

%description
A nice little aquarium with funny fish -- yet another background screen.

%prep
%autosetup -p0

%build
xmkmf -a
%make_build CCOPTIONS="%{optflags}"

%install
%make_install

%files
%doc README*
%{_bindir}/xfishtank
%{_mandir}/man1/xfishtank.1*

%changelog
* Mon Dec  6 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to 2.6
  * Fix memory corruption
  * Update man page
  * Fix typos
- Use source service to verify authenticity of sources
* Sun Aug 16 2020 Dirk Mueller <dmueller@suse.com>
- update to 2.5:
  * imlib2 based graphics
- remove patches (upstream):
  xfishtank-2.2-implicit_decl.patch
  xfishtank-2.2-orig.patch
  xfishtank-2.2-random_retval.patch
* Fri Feb 21 2020 Martin Pluskal <mpluskal@suse.com>
- Modernise spec file with spec-cleaner
- Drop obsolete README.KDE
* Wed Oct 15 2014 jengelh@inai.de
- Use %%_smp_mflags for parallel build, and remove ancient
  specfile tags and sections
- Replace xorg-x11* BuildRequires by new package names
* Mon Nov  8 2010 coolo@novell.com
- remove support for pre-9.1
* Tue Aug  8 2006 lmichnovic@suse.cz
- compiling with RPM_OPT_FLAGS
- fixed non void functions (random_retval.patch)
* Fri Jul 28 2006 lmichnovic@suse.cz
- builds also with new X.org 7.x, detecting prefix in X.org
- building with icecream
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 19 2005 lmichnovic@suse.cz
- added missing include (implicit_decl.patch)
- repacked tarball: renamed xfishtank-2.2.orig to xfishtank-2.2, because ".orig" is not allowed string
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Tue Dec 18 2001 vinil@suse.cz
- README.KDE added
* Wed Jun 20 2001 ro@suse.de
- use ComplexProgramTargetNoMan
* Wed Nov 29 2000 vinil@suse.cz
- renamed from fishtank to xfishtank
- source bzip2ed
* Tue Jun 20 2000 schwab@suse.de
- Fix missing declarations.
* Thu May 25 2000 vinil@suse.cz
- sorted in group
* Fri Apr  7 2000 vinil@suse.cz
- buildroot added
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Dec  9 1998 ro@suse.de
- update to 2.2 to fix segfault
